Bug 1181686 - [abrt] git-cola: dag.py:122:parse:ValueError: too many values to unpack
[abrt] git-cola: dag.py:122:parse:ValueError: too many values to unpack
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: git-cola (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ac43673009d5fe1eff9c8734301...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-13 10:11 EST by Matthias Scholz
Modified: 2015-08-10 20:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 20:17:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (889 bytes, text/plain)
2015-01-13 10:11 EST, Matthias Scholz
no flags Details
File: environ (1.84 KB, text/plain)
2015-01-13 10:11 EST, Matthias Scholz
no flags Details

  None (edit)
Description Matthias Scholz 2015-01-13 10:11:35 EST
Version-Release number of selected component:
git-cola-2.0.8-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/git-cola --prompt
executable:     /usr/bin/git-cola
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
dag.py:122:parse:ValueError: too many values to unpack

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/widgets/dag.py", line 602, in run
    for c in repo:
  File "/usr/share/git-cola/lib/cola/models/dag.py", line 242, in next
    c = CommitFactory.new(log_entry=log_entry)
  File "/usr/share/git-cola/lib/cola/models/dag.py", line 37, in new
    log_entry=log_entry)
  File "/usr/share/git-cola/lib/cola/models/dag.py", line 117, in __init__
    self.parse(log_entry)
  File "/usr/share/git-cola/lib/cola/models/dag.py", line 122, in parse
    log_entry[41:].split(sep, 6)
ValueError: too many values to unpack

Local variables in innermost frame:
log_entry: u'8324fcc7425cb2bc285b042c357a954e7a1a2013\x01980410241ccceb8fd88a7fd5cf623e133936b8cb\x01\x01Felix Geyer\x01Fri May 30 22:59:02 2014 +0200\x01debfx@fobos.de\x01Use unversioned \x01gnukfreebsd platform.'
Comment 1 Matthias Scholz 2015-01-13 10:11:38 EST
Created attachment 979649 [details]
File: backtrace
Comment 2 Matthias Scholz 2015-01-13 10:11:40 EST
Created attachment 979650 [details]
File: environ
Comment 3 David Aguilar 2015-01-14 00:31:52 EST
Upstream fix will be released in v2.1.0 at the end of the month.

https://github.com/git-cola/git-cola/commit/adf53ec8110e6f1b30607f567d1c3c0b5b9c72b0
Comment 4 Kevin Kofler 2015-08-10 20:17:06 EDT
Current in F21 stable updates is git-cola-2.1.2-1.fc21.

Note You need to log in before you can comment on or make changes to this bug.